#
# spec file for package [spectemplate]
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           oggfwd
Version:        0.2
Release:        150400.1.pm.3
Summary:        A minimalistic icecast client

Group:          Productivity/Text/Utilities
License:        GPL-2.0+
URL:            http://v2v.cc/~j/oggfwd/
Source0:        oggfwd-0.2.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  libshout-devel
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libtheora-devel
BuildRequires:  speex-devel
BuildRequires:  sed

%description
A basic icecast client that is very simple but also very useful for video streaming :-)
It has some metadata information not included in the original oggfwd. 

%prep
%setup


%build
# We say SUSE_ASNEEDED=0, to allow the linker to adjust the ordering as needed.
# (sound wrong, but 0 is right here; 1 would be the default which prevents
# reordering)
export SUSE_ASNEEDED=0
# The correct fix is to add -lshout to the end of the cc command.
make %{?_smp_mflags} PREFIX=/usr



%install
# the install commands are too clever:
sed -i -e 's/-o root //' -e 's/-g bin //' Makefile
# and too stupid:
install -d %{buildroot}/usr/bin
## now we can give it a try...

make install DESTDIR=%{buildroot} PREFIX=%{buildroot}/usr MAN1DIR=%{buildroot}/usr/share/man/man1


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README ChangeLog LICENSE
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Thu Oct 11 2012 jw@suse.de
- was in OBS://home:jnweiger, but moved here to reduce the dependency mess
  with dvswitch*
